/*!
* @file Square.cpp
* @brief ゲーム中のマスを定義する
* @date 2013/12/11
* @author Deskull
* 2013 Sikabane Works.
*/

#include "stdafx.h"
#include "Square.h"

namespace Deeangband
{

	Square::Square() : GameElement(), HaveInventory(), HaveHp()
	{
		WipeData();
	}

	void Square::WipeData()
	{
		this->floorTag = SPECIAL_TAG_UNKNOWN;
		this->spaceTag = SPECIAL_TAG_UNKNOWN;
		this->airTag = SPECIAL_TAG_UNKNOWN;
	}

	Square::~Square()
	{
	}

	TAG Square::GetFloorTag(void)
	{
		return this->floorTag;
	}

	TAG Square::GetAirTag(void)
	{
		return this->airTag;
	}

	TAG Square::GetSpaceTag(void)
	{
		return this->spaceTag;
	}

	bool Square::SetFloorTag(TAG tag)
	{
		this->floorTag = tag;
		return true;
	}

	Floor *Square::GetFloorPtr(void)
	{
		return NULL;
	}

}